#
# spec file for package python-flexx
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Test files missing.  See https://github.com/flexxui/flexx/pull/508
%bcond_with     test
%define         skip_python2 1
Name:           python-flexx
Version:        0.6.2
Release:        2.2
Summary:        Python toolkit for creating graphical user interfaces
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://flexx.readthedocs.io
Source:         https://files.pythonhosted.org/packages/source/f/flexx/flexx-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
%if %{with test}
BuildRequires:  %{python_module certifi}
BuildRequires:  %{python_module dialite}
BuildRequires:  %{python_module imageio}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pscript >= 0.6.1}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module tornado >= 4}
BuildRequires:  %{python_module webruntime >= 0.5.4}
%endif
Requires:       python-dialite
Requires:       python-pscript >= 0.6.1
Requires:       python-tornado
Requires:       python-webruntime >= 0.5.4
Recommends:     python-imageio
Recommends:     python-numpy
Recommends:     python-vispy
BuildArch:      noarch

%python_subpackages

%description
Flexx is a pure Python toolkit for creating graphical user interfaces
(GUIs), that uses web technology for its rendering. Apps are written
purely in Python; Flexx's transpiler generates the necessary JavaScript
on the fly.

Flexx can be used to create (cross platform) desktop applications, web
applications, and (if designed well) export an app to a standalone HTML
document. It also works in the Jupyter notebook.

%prep
%setup -q -n flexx-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%python3_only %{_bindir}/flexx
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Oct 29 2018 Todd R <toddrme2178@gmail.com>
- Update to version 0.6.2
  * Bugfix in combobox.
  * BSDF check dtype in JS.
- Update to version 0.6.0
  * Add ``Widget.minsize_from_children`` property (#497).
  * Update BSDF (data serialization).
  * Widgets van be orphaned upon initialization by setting parent to None (#493)
  * Some internal improvements on the dropdown widget.
- Update to version 0.5.0
  * A major refactoring of the event system.
  * We spun out the PyScript transpiler into the PScript project, as well
    as the webruntime and dialite project. This means that Flexx itself
    is focussed on the GUI aspect alone.
  * Added touch support.
  * Dropped the depency on Phosphor.js.
  * A new combined namespace: ``from flexx import flx``.
  * A proper guide in the docs.
  * More examples.
* Sat Mar  3 2018 jengelh@inai.de
- Summary and description improvements.
* Fri Dec  1 2017 toddrme2178@gmail.com
- intial version
